diff --git a/src/backend/storage/buffer/bufmgr.c b/src/backend/storage/buffer/bufmgr.c
index 32eb49c..78a8adc 100644
--- a/src/backend/storage/buffer/bufmgr.c
+++ b/src/backend/storage/buffer/bufmgr.c
@@ -459,6 +459,11 @@ ReadBuffer_common(SMgrRelation smgr, char relpersistence, ForkNumber forkNum,
 				INSTR_TIME_ADD(pgBufferUsage.blk_read_time, io_time);
 			}
 
+			ereport(LOG, (
+			 errmsg("Checking page header in block %u of relation %s",
+					blockNum,
+					relpath(smgr->smgr_rnode, forkNum))));
+
 			/* check for garbage data */
 			if (!PageIsVerified((Page) bufBlock, blockNum))
 			{
diff --git a/src/backend/storage/page/bufpage.c b/src/backend/storage/page/bufpage.c
index b4cf68e..7ae7ce7 100644
--- a/src/backend/storage/page/bufpage.c
+++ b/src/backend/storage/page/bufpage.c
@@ -924,6 +924,10 @@ PageChecksumOK(Page page, BlockNumber blkno)
 	}
 
 	checksum = PageCalcChecksum16(page, blkno);
+	ereport(LOG,
+			(
+			 errmsg("page verification done block %d, calculated checksum %u expected %u",
+					blkno, checksum, p->pd_checksum)));
 
 	if (checksum != p->pd_checksum)
 	{
